Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## info.bioinfweb.treegraph.document
Class TextElement

    java.lang.Object
      info.bioinfweb.treegraph.document.ConcretePaintableElement
          info.bioinfweb.treegraph.document.TextElement

All Implemented Interfaces:
  PaintableElement, java.lang.Cloneable

Direct Known Subclasses:
  Label, Legend, Node, ScaleBar

    public abstract class TextElement

extends ConcretePaintableElement

Field Summary
`private TextElementData` | `data`

Fields inherited from class info.bioinfweb.treegraph.document.ConcretePaintableElement
`positions`

Constructor Summary
`TextElement()`

Method Summary
`TextElement` | `clone()` Copys the object.
`TextElementData` | `getData()`
`abstract TextFormats` | `getFormats()`
`java.lang.String` | `toString()`

Methods inherited from class info.bioinfweb.treegraph.document.ConcretePaintableElement
`getPosition`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface info.bioinfweb.treegraph.document.PaintableElement
`setFormats`

Field Detail

### data

    private TextElementData data

Constructor Detail

### TextElement

    public TextElement()

Method Detail

### getData

    public TextElementData getData()

### getFormats

    public abstract TextFormats getFormats()

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### clone

    public TextElement clone()

  Description copied from class: `ConcretePaintableElement`
  Copys the object. The internal `EnumMap positions` is not copied because the copy of this element will be at another position. Therefor the copy will have an empty `EnumMap` for the positions.

  Overrides:
    `clone` in class `ConcretePaintableElement`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD